// =============================================================== //
//                                                                 //
//   File      : awt_prompt.hxx                                    //
//   Purpose   : prompt for text (macro-compatible)                //
//                                                                 //
//   Coded by Ralf Westram (coder@reallysoft.de) in October 2017   //
//   http://www.arb-home.de/                                       //
//                                                                 //
// =============================================================== //

#ifndef AWT_PROMPT_HXX
#define AWT_PROMPT_HXX

#ifndef CB_H
#include <cb.h>
#endif

// generic prompt for specifying some text (e.g. to rename something)
// (use this instead of aw_input, it is macro-compatible)
//
// Note: maximum ONE prompt is visible!

DECLARE_CBTYPE_FVV_AND_BUILDERS(ResultHandler, GB_ERROR, const char *);   // generates makeResultHandler

void AWT_activate_prompt(const char *title, const char *prompt, const char *defaultResult, const char *button, const ResultHandler& handle_result, const char *helpfile = NULp, const char *srt = NULp);

#else
#error awt_prompt.hxx included twice
#endif // AWT_PROMPT_HXX
